Skip to content
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.github
src
test
.gitignore
.travis.yml
CONTRIBUTORS.md
LICENSE
LICENSE.spdx
NOTICE
README.md
deps.edn
project.clj
synonyms.edn

README.md

Build Status Open Issues Average time to resolve an issue License Dependencies Status Join the chat at https://gitter.im/CLJ-2253/Lobby

CLJ-2253

This library implements a workaround for CLJ-2253. Simply require (or use) this namespace before using slurp and you're done.

Installation

CLJ-2253 is available as a Maven artifact from Clojars. The latest released version is:

Clojars Project

Trying it Out

If you prefer to kick the library's tyres before creating a project, you can use the lein try plugin:

$ lein try clj-commons/clj-2253

or, if you have installed the Clojure CLI tools:

$ clj -Sdeps '{:deps {clj-commons/clj-2253 {:mvn/version "#.#.#"}}}'  # Where #.#.# is replaced with an actual version number

Either way, you will be dropped in a REPL with the library downloaded and ready for use.

Usage

The functionality is provided by a single namespace, CLJ-2253, that will work its hacky magic as soon as it's loaded.

Require it in the REPL (incl. a lein try REPL):

(require '[CLJ-2253])

Require it in your project:

(ns my-app.core
  (:require [CLJ-2253]))

Tested Versions

CLJ-2253 is tested on:

JVM v1.6 JVM v1.7 (OpenJDK) JVM v1.8 (Oracle) JVM v9 (Oracle) JVM v10 (OpenJDK) JVM v11 (OpenJDK)
Clojure 1.4.0 1,2 1 1 1 1 1
Clojure 1.5.1 2
Clojure 1.6.0 2
Clojure 1.7.0 2
Clojure 1.8.0 2
Clojure 1.9.0 2
Clojure 1.10.0 2 3

1 I chose to only go back as far as Clojure v1.5.1. If anyone needs this tested on older versions of Clojure, PRs are welcome!

2 Leiningen v2.8 only supports JVM v1.7 and up

3 Clojure v1.10 only supports JVM v1.8 and up

Contributor Information

GitHub project

Bug Tracker

License

Copyright 2018 Peter Monks

Distributed under the Apache License, Version 2.0.

SPDX-License-Identifier: Apache-2.0

3rd Party Licenses

To see the full list of licenses of all third party libraries used by this project, please run:

$ lein licenses :csv | cut -d , -f3 | sort | uniq

To see the dependencies and licenses in detail, run:

$ lein licenses
You can’t perform that action at this time.